Using restricted formats with Gutsy.

Even when you have decided you would go with free formats and applications, you can end up owning a device that only plays restricted multimedia formats (and do not wish to spend more money until its time to get a another one reading free and open-source formats), want to watch a DVD you’ve rented or bought, some videos on the intatubes, use some Microsoft fonts to share work documents with colleagues etc. The world is not perfect :)

For legal reasons, Ubuntu is not shipped with the packages that will allow you to use the restricted formats. In most parts of the world, you are however entitled to play and watch CDs or DVDs you own (you have paid for using the license, right?) on your Ubuntu system. It is illegal to use the packages to crack the protections and redistribute the files.

ubuntu-restricted-extras

This package and the kubuntu or xubuntu flavors (kubuntu-restricted-extras, xubuntu-restricted-extras) is located in the multiverse repositories. It will install the following:

 gstreamer0.10-plugins-ugly, gstreamer0.10-plugins-ugly-multiverse,
            msttcorefonts, flashplugin-nonfree, sun-java6-plugin, unrar,
            gstreamer0.10-plugins-bad, gstreamer0.10-plugins-bad-multiverse,
            gstreamer0.10-ffmpeg, liblame0, libdvdread3

 Installing this package will pull in support for MP3 playback and decoding,
 support for various other audio formats (gstreamer plugins), Microsoft fonts,
 Java runtime environment, Flash plugin, LAME (to create compressed audio
 files), and DVD playback. 
 
 Please note that packages from multiverse are restricted by copyright or legal
 issues in some countries. See http://www.ubuntu.com/ubuntu/licensing for more
 information.

Enable the multiverse repositories. Here is a GUI tutorial, below is a complete /etc/apt/sources.list file for Gutsy:

# Base.
deb http://archive.ubuntu.com/ubuntu/ gutsy main restricted universe multiverse
deb-src http://archive.ubuntu.com/ubuntu/ gutsy main restricted universe multiverse

## Bug fix updates.
deb http://archive.ubuntu.com/ubuntu/ gutsy-updates main restricted universe multiverse
deb-src http://archive.ubuntu.com/ubuntu/ gutsy-updates main restricted universe multiverse

# Security.
deb http://security.ubuntu.com/ubuntu gutsy-security main restricted universe multiverse
deb-src http://security.ubuntu.com/ubuntu gutsy-security main restricted universe multiverse

Reload the /etc/apt/sources.list file and install the package with your favorite package manager. The procedure I give here is with aptitude, please use apt-get or Synaptic if you prefer.

sudo aptitude update
sudo aptitude install ubuntu-restricted-extras

You’ll be pretty much set up with these.
You’ll have to accept some licenses along the install process. Use the Tab key to get to the OK button ;)

Other codecs

These are not within the Ubuntu repositories. You have to go for third party repos. Be aware that you should disable all third party repos to perform a version upgrade.

libdvdcss2 and the xxxcodecs (w32codecs, w64codecs and ppccodecs) are provided by the medibuntu project. Please look here for a tutorial.

Unfortunately, seveas repos do not have Gutsy packages yet.. Looking forward to it :)

About these ads